require 'webmock/rspec'
require 'byebug'

RSpec.configure do |config|
  config.order = 'random'

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end

  config.expect_with :rspec do |expectations|
    expectations.include_chain_clauses_in_custom_matcher_descriptions = true
  end

  config.mock_with :rspec do |mocks|
    mocks.verify_partial_doubles = true
  end

  config.shared_context_metadata_behavior = :apply_to_host_groups

  config.before do
    @event_retriever = ConektaEvent.event_retriever
    @notifier = ConektaEvent.backend.notifier
    ConektaEvent.backend.notifier = @notifier.class.new
  end

  config.after do
    ConektaEvent.event_retriever = @event_retriever
    ConektaEvent.backend.notifier = @notifier
  end
end
